Unknown Devices in DCR and conflicting devices

Unanswered Question
Feb 15th, 2010

Hi

We have several unknown devices in the DCR.  I know the correct package is installed because we have an identical device which has been identified correctly i.e "Cisco 3750 stack".

The SNMP credentials are correct as I am able to do an snmpwalk -v 2c "password" "ip address" correctly from the LMS server and it browses the Mib.

Not sure why it would works for one device and not the other.  The devices are imported from ACS.  We are running LMS 3.1 with CS 3.1.1 and RME 4.1.1.  Could DNS be an issue as not sure how dependant Ciscoworks is on this and I know there are lookup problems with some devices from the server.

At the same time we have 12 conflicted devices (see attachment) which we cannot resolve, is this because they may be 'unknown' devices ?  This means our DCR and RME have a mismatch of devices. Is there a way of resolving this ?

Many Thanks

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (1 ratings)
Loading.
Joe Clarke Mon, 02/15/2010 - 20:55

The 3750 can be an interesting device.  Two identical switches can each have different sysObjectIDs.  Post the sysObjectID from these problematic switches,

dmistry21 Tue, 02/16/2010 - 05:50

Is there an easy way to find out the sysobjectid of the devices ?

Unfortunately I don't have access to the Device Center to run the snmpwalk command.  When running from command line I can't see a reference to sysobjectid in the output when running “snmpwalk -v 2c -c ”.

dmistry21 Wed, 02/17/2010 - 10:47

Joe

The SysobjectID of the devices are:

  • OID: iso.3.6.1.4.1.9.1.367  (unknown device)
  • OID: iso.3.6.1.4.1.9.1.717  (Cisco3750 stack)

Many Thanks

Joe Clarke Wed, 02/17/2010 - 11:21

The top sysObjectIS is from a 3550, and the bottom is from a 2960.  What versions of the Cat2960 and Cat3550 RME packages do you have loaded?

dmistry21 Thu, 02/18/2010 - 02:59

The Cat2960 package is Cat2960.cv50.v5-0.zip

For the 3550 the closest package we have is the the Cat3560.cv50.v5-0.zip

Joe Clarke Thu, 02/18/2010 - 09:52

Your package repository is bad.  Contact TAC, and they can give you an up-to-date package bundle which you can use to recover this repository.  After that, you should have full support for all your devices.

Actions

This Discussion